@import url('https://fonts.googleapis.com/css2?family=Play:wght@400;700&family=Tektur:wght@400..900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Play", sans-serif;
    font-weight: 400;
    color: white;
}

*::selection{
    color: #000;
    background-color: #ff9595;
}

html,body{
    font-size: 16px;
    overflow-x: hidden;
}

body{
    font-size: 16px;
    overflow-y: hidden;
}

button{
    border: none;
    background: none;
    cursor: pointer;
    outline: none;
}

a{
    text-decoration: none;
}

li{
    list-style: none;
}

body{
    background-color: #0a0a0f;
    
}

h1,h2,h3{
    font-family: "Tektur", sans-serif;
}

section{
    width: 100%;
    min-height: 100vh;
}

header{
    position: fixed;
    width: 100%;
    height: 5rem;
    top: 0;
    left: 0;
    z-index: 10;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10rem;
}

header .lang{
    margin-left: auto;
    display: flex;
    background-color: #13131a22;
    backdrop-filter: blur(10px);
    padding: .5rem 1rem;
    font-size: 1.5rem;
}

header .lang a{
    padding: 0 1rem ;
}

header .lang a:first-child.selected{
    color: #9e98fa;
}

header .lang a:last-child.selected{
    color: #ff9595;
}

header .lang a:first-child{
    border-right: 1px solid white;
}

.promo{
    position: relative;
    top: 0;
    left: 0;
    height: 100vh;
    display: flex;
    
    background-image: linear-gradient(rgba(0, 255, 245, .05) 1px, transparent 1px), linear-gradient(90deg, rgba(0, 255, 245, .05) 1px, transparent 1px);
    background-size: 50px 50px;
}

.pixels{
    position: absolute;
    width: 100%;
    height: 100%;
}

.pixel{
    position: absolute;
    width: 1rem;
    height: 1rem;
    transition: 3s ease-in-out;
}

@keyframes pixel {
    0%, 100%{
        transform: translateY(0);
        opacity: 1;
    }
    50%{
        transform: translateY(-30px);
        opacity: .2;
    }

}

.holo{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 10rem;
    background: linear-gradient(transparent 0%, rgba(0, 255, 245,.1) 50%, transparent 100%);
    animation: holo 10s linear infinite;
}

@keyframes holo {
    0%{
        opacity: 0;
        transform: translateY(0);
    }
    50%{
        opacity: 1;
        transform: translateY(50vh);
    }
    100%{
        opacity: 0;
        transform: translateY(80vh);
    }
}

.promo .content{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    height: 100%;
    z-index: 3;

}

.logo-text{
    position: relative;
}

.promo .content h1{
    position: relative;
    font-weight: bold;
    font-size: 10rem;

    background: -webkit-linear-gradient(0deg, #fff 0%, #ff9595 50%, #9898ff 100%);
    background-size: 200%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    z-index: 4;
    transition: 1s .5s;
    transform: translateY(1rem);
    opacity: 0;
}

.promo .content h2{
    position: absolute;
    top: 0;
    left: 0;
    font-weight: bold;
    font-size: 10rem;
    background: -webkit-linear-gradient(0deg, #fff 0%, #ff9595 50%, #9898ff 100%);
    background-size: 200%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: blur(.25rem);
    transition: 1s .5s;
    transform: translateY(1rem);
    opacity: 0;
}

.promo .content.active h1{
    background-size: 100%;
    transform: translateY(0);
    opacity: 1;
}

.promo .content.active h2{
    background-size: 100%;
    transform: translateY(0);
    opacity: 1;
}

.promo .content span{
    font-size: 4rem;
    max-width: 70rem;
    text-align: center;
    transform: translateY(1rem);
    opacity: 0;
    transition: .5s 1s;
}

.promo .content.active span{
    transform: translateY(0);
    opacity: 1;
}

.promo .content p:nth-child(3){
    font-size: 1.5rem;
    color : #777;
    transform: translateY(1rem);
    opacity: 0;
    transition: 1s 1.5s;
}

.promo .content.active p:nth-child(3){
    transform: translateY(0);
    opacity: 1;
}

.promo .content p:nth-child(4){
    color : #444;
    margin-bottom: 4rem;
    opacity: 0;
    transition: 1s 2.5s;
}

.promo .content.active p:nth-child(4){
    opacity: 1;
}

.promo .content svg{
    width: 4rem;
    height: 4rem;
    stroke: cyan;
    animation: svg-promo 2s ease-out infinite;
    opacity: 0;
    transition: 1s 4s;
}

.promo .content.active svg{
    opacity: 1;
}

@keyframes svg-promo {
    0%, 100%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(.7rem);
    }
}

.promo .content button{
    font-size: 1.5rem;
    color: cyan;
    border: 1px cyan solid;
    padding: 1rem 2rem;
    transition: color .3s, background-color .3s, opacity 1s 2s;
    opacity: 0;
}

.promo .content.active button{
    opacity: 1;
}

.promo .content button:hover{
    color: white;
    background-color: cyan;
    box-shadow: 0px 0px 1rem 1rem #00ffff22;
}

.container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.container h2{
    font-size: 3rem;
    margin-bottom: 5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.container h2 span{
    color: #333;
    font-size: 2rem;
}

.cards-pride{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 3rem;
}

.card-pride{
    position: relative;
    background-color: #13131a;
    padding: 1rem;
    width: 20rem;
    height: 15rem;
    transition: .3s;
    transform: translateY(2rem);
    opacity: 0;
}

.card-pride:hover{
    transform: translateY(-1rem) scale(1.1);
    z-index: 2;
}

.card-pride.active{
    transform: translateY(0);
    opacity: 1;
}

.card-pride .bottom{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    transition: .3s;
    z-index: 2;
}

.card-pride .bottom::after{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height:1px;
    transition: .3s;
}

.card-pride:nth-child(1) .bottom{
    background-color: #ff6272ff;
}

.card-pride:nth-child(2) .bottom{
    background-color: #c772ffff;
}


.card-pride:nth-child(3) .bottom{
    background-color: #7282ffff;
}

.card-pride:nth-child(1) .bottom:after{
    background-color: #ff6272ff;
}

.card-pride:nth-child(2) .bottom:after{
    background-color: #c772ffff;
}


.card-pride:nth-child(3) .bottom:after{
    background-color: #7282ffff;
}




.card-pride:hover .bottom{
    height: 1rem;
}

.card-pride:hover .bottom::after{
    height: 1rem;
    filter: blur(10px);
}

.card-pride .icon{
    position: absolute;
    width: 4rem;
    height: 4rem;
    top: -2rem;
    left: -2rem;
}

.card-pride .icon svg{
    width: 100%;
    height: 100%;
}

.card-pride:nth-child(1) .icon svg{
    stroke: #ff6272ff;
    animation: card-1-icon 2s ease-in-out infinite;
}

@keyframes card-1-icon {
    0%, 100%{
        filter: drop-shadow(
            0px 0px 1.5rem #ff6272ff
        ) 
        drop-shadow(
            0px 0px .5rem #ff6272ff
        );
    }
    50%{
        filter: drop-shadow(
            0px 0px 1rem #ff6272ff
        ) 
        drop-shadow(
            0px 0px .3rem #ff6272ff
        );
    }
}

.card-pride:nth-child(1) .icon svg path:nth-child(1){
    stroke-dasharray: 0, 1;
    animation: cofe 1s linear infinite;
}

.card-pride:nth-child(1) .icon svg path:nth-child(2){
    stroke-dasharray: 0, 1;
    animation: cofe 1s .2s linear infinite;
}

.card-pride:nth-child(1) .icon svg path:nth-child(3){
    stroke-dasharray: 0, 1;
    animation: cofe 1s .4s linear infinite;
}

@keyframes cofe {
  0% {
    opacity: 0;
    stroke-dashoffset: 0;
  }
  50%{
    opacity: 1;
    stroke-dashoffset: .5;
  }
  100% {
    opacity: 0;
    stroke-dashoffset: 1;
  }
}




.card-pride:nth-child(2) .icon svg{
    stroke: #c772ffff;
    animation: card-2-icon 1.7s ease-in-out infinite;
    transform-origin: (0, 0);
}

@keyframes card-2-icon {
    0%, 100%,50%, 40%,60%{
        stroke: #c772ffff;
        filter: drop-shadow(
            0px 0px 1rem #c772ffff
        ) 
        drop-shadow(
            0px 0px .3rem #c772ffff
        );
    }
    45%, 55%{
        stroke: #c772ff11;
        filter: drop-shadow(
            0px 0px 2rem #c772ffff
        ) 
        drop-shadow(
            0px 0px .5rem #c772ffff
        );
    }
}

.card-pride:nth-child(2) .icon{
    transform-origin: top;
    animation: card-2-icon-2 2.1s ease-in-out infinite;
}

@keyframes card-2-icon-2 {
    0%, 100%{
        transform: rotate(10deg);
    }
    50%{
        transform: rotate(-10deg);
    }
}

.card-pride:nth-child(3) .icon svg{
    stroke: #7282ffff;
    filter: drop-shadow(
        0px 0px 1.5rem #7282ffff
    ) 
    drop-shadow(
        0px 0px .5rem #7282ffff
    );
}

.card-pride:nth-child(3) .icon svg path:nth-child(2),
.card-pride:nth-child(3) .icon svg path:nth-child(3){
    animation: card-3-icon-1 2s ease-in-out infinite;
    transform-origin: top right;
}

@keyframes card-3-icon-1 {
    0%, 100%{
        stroke-width: 1;
        transform: rotate(5deg);
    }
    50%{
        stroke-width: 1.5;
        transform: rotate(0);
    }
}

.card-pride:nth-child(3) .icon svg circle{
    animation: card-3-icon-2 2s ease-in-out infinite;
}

@keyframes card-3-icon-2 {
    0%, 100%{
        stroke-width: 1;
        transform: translateY(.1rem);
    }
    50%{
        stroke-width: .1;
        transform: translateY(0);
    }
}

.card-pride:nth-child(3) .icon svg path:nth-child(1){
    animation: card-3-icon-3 2s ease-in-out infinite;
}

@keyframes card-3-icon-3 {
    0%, 100%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(.1rem);
    }
}

.card-pride h3{
    font-size: 1.5rem;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    font-weight: bold;
}





.projects{
    position: relative;
}

.coming-soon{
    position: absolute; 
    width: 120%;
    height: 4rem;
    background-color: yellow;
    top: 50%;
    left: -10%;
    z-index: 5;
    transform: rotate(-5deg) translateX(-90%);
    display: flex;
    box-shadow: .5rem .5rem .5rem 0 #000000aa;
    transition: 1s .5s;
}

.coming-soon.active{
    transform: rotate(-5deg) translateX(0%);
}

.coming-soon .coming-soon-section{
    width: 100%;
    height: 100%;
}

.coming-soon .coming-soon-section:nth-child(odd){
    background-color: black;
}

.coming-soon .coming-soon-content{
    position: absolute;
    top: -2rem;
    left: calc(50% - 10rem);
    width: 20rem;
    height: 10rem;
    background-color: wheat;
    box-shadow: .5rem .5rem .5rem 0 #000000aa;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: rotate(2deg) scale(1.2);
    opacity: 0;
    transition: .5s 1.5s;
}

.coming-soon.active .coming-soon-content{
    transform: rotate(2deg) scale(1);
    opacity: 1;
}

.coming-soon .coming-soon-content h3{
    position: relative;
    color: #000;
    font-size: 2.5rem;
}

.coming-soon .coming-soon-content h3 span{
    position: absolute;
    color: #000;
    font-size: 1rem;
    bottom: -1rem;
    right: -1rem;
}

.cards-project{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.card-project{
    position: relative;
    width: 30rem;
    height: 20rem;
    background: linear-gradient(-135deg,#13131a, #0c0c2c);
    display: flex;
    flex-direction: column-reverse;

}

.card-project .img{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-project .img svg{
    width: 80%;
    height: 80%;
    fill: #979797;
}

.card-project .content{
    width: 100%;
    height: 100%;
    padding: 2rem;
    z-index: 2;
    background: linear-gradient(45deg, #00000077, transparent);
    display: flex;
    flex-direction: column-reverse;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 1rem;
}

.card-project .content span:last-child{
    padding: .5rem;
    font-weight: bold;
}



.team{
    position: relative;
}

.team .bg{
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -2;
    bottom: 0;
}

.team .bg-top{
    background: linear-gradient(#0a0a0f 20%, #00000022 150%);
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.team .bg-bottom{
    width: 100%;
    height: 100%;
    
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: -2;
    background-image: linear-gradient(90deg, #fff 0%, #ff9595 50%, #9898ff 100%);
    background-size: 120%;
    animation: 10s bottom ease-in-out infinite;
}

@keyframes bottom {
    0%, 100%{
        background-position: 40%;
    }
    50%{
        background-position: 90%;
    }
}

.cards-team{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 2rem;
    text-align: center;
}

.card-team{
    width: 20rem;
    height: 25rem;
    background-color: #13131a;
    padding: 2rem;

    display: flex;
    flex-direction: column;
    align-items: center;
    transform: translateY(1rem);
    opacity: 0;
    transition: 1s .5s;
}

.card-team.active{
    transform: translateY(0);
    opacity: 1;
}

.card-team .img{
    width: 10rem;
    height: 10rem;
    border: 5px solid;
    transform: translateY(-5rem) rotate(var(--r));
    background-color: #13131a;
    transition: .3s;

    display: flex;
    justify-content: center;
    align-items: center;
}

.card-team:hover .img{
    transform: translateY(-4rem) rotate(0);
}

.card-team:nth-child(1) .img{
    border-color: #ffc7c7;
    box-shadow: 0 0 .5rem 0rem #ffc7c7;
}

.card-team:nth-child(2) .img{
    border-color: #ffa4a4;
    box-shadow: 0 0 .5rem 0rem #ffa4a4;
}

.card-team:nth-child(3) .img{
    border-color: #db96ba;
    box-shadow: 0 0 .5rem 0rem #db96ba;
}

.card-team:nth-child(4) .img{
    border-color: #9e98fa;
    box-shadow: 0 0 .5rem 0rem #9e98fa;
}

.card-team .img svg{
    width: 8rem;
    height: 8rem;
    fill: none;
    stroke-width: 1;
}

.card-team:nth-child(1) .img svg{
    stroke: #ffc7c7;
}

.card-team:nth-child(2) .img svg{
    stroke: #ffa4a4;
}

.card-team:nth-child(3) .img svg{
    stroke: #db96ba;
}

.card-team:nth-child(4) .img svg{
    stroke: #9e98fa;
}

.card-team .content{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: -3rem;
}

.card-team .content span:nth-child(2){
    font-size: 1.5rem;
    margin-bottom: 1.5rem;
}

.card-team:nth-child(1) .content span:nth-child(2){
    color: #ffc7c7;;
}

.card-team:nth-child(2) .content span:nth-child(2){
    color: #ffa4a4;
}

.card-team:nth-child(3) .content span:nth-child(2){
    color: #db96ba;
}

.card-team:nth-child(4) .content span:nth-child(2){
    color: #9e98fa;
}

.card-team .content span:nth-child(3){
    margin-bottom: 1rem;
    color: #555;
}


.card-team .content h3{
    font-size: 3rem;
    font-weight: bold;
}

footer{
    width: 100%;
    height: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media screen and (max-width: 1400px){
    .team h2{
        margin-top: -5rem;
    }
}

@media screen and (max-width: 1100px){
    html,body{
        font-size: 14px;
    }
}

@media screen and (max-width: 750px){
    html,body{
        font-size: 12px;
    }
}

@media screen and (max-width: 650px){
    html,body{
        font-size: 10px;
    }
}

@media screen and (max-width: 550px){
    .promo .content h1,
    .promo .content h2{
        font-size: 8rem;
    }
    .promo .content span{
        font-size: 3rem;
    }
    .cards-pride{
        flex-direction: column;
    }
}

@media screen and (max-width: 450px){
    .promo .content h1,
    .promo .content h2{
        font-size: 6rem;
    }
    .promo .content span{
        font-size: 2rem;
        max-width: 300px;
    }
    .cards-pride{
        flex-direction: column;
    }
    .cards-team{
        flex-direction: column;
        margin-bottom: 10rem;
    }
}

@media screen and (max-width: 350px){
    html,body{
        font-size: 8px;
    }
}

@media screen and (max-width: 250px){
    html,body{
        font-size: 6px;
    }
}

@media screen and (max-width: 180px){
    html,body{
        font-size: 4px;
    }
}


@keyframes rainbow {
    0%{
        filter: hue-rotate(0deg);
    }
    100%{
        filter: hue-rotate(360deg);
    }

}